<?php
/*
VirtualView
Copyright (C) 2006 (Arnault PACHOT)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Contact :
OpenStudio, Arnault PACHOT 
Le bourg, 43160 Saint Pal de Senouire, FRANCE.
info@openstudio.fr*/




function panoramas($chaine)
{

$chaine_recherche = "/<img(\s+)src='(\S+)360(\S+)'(\s+)?width=\"(\S+)\"(\s+)?height=\"(\S+)\"(.*?)\/>/ims";


//$chaine_recherche="!(<img (\s+)src='[^>]*360[^>]*' [^>]*width='[^>]*' [^>]*height='[^>]*>)!eisU";




if( preg_match( $chaine_recherche, $chaine, $resultats)) 
{
	
//echo("debut-test".$resultats[0]."fin-test");
	$src = $resultats[2]."360".$resultats[3]; 
	$width = $resultats[5]; 
	$height = $resultats[7]; 
	$alt = $resultats[9]; 
	//$id = md5($src);
	$photo_filename = $src;
	$icone_size = 15; //largeur des icones flche gauche et flche droite
	$id = md5($resultats[2]."360".$matches[3]);
	$height = $resultats[7];
	$width = $resultats[5];

	$decaly1 = (int)($height/2);
	$decaly2 = (int)($height/2);
	$decaly3 = $decaly2 + $icone_size;
	
	$viewport_width = (int)($resultats[5]/3);
	$decalx1 = (int)(($viewport_width*3) / 100);
	$decalx2 = (int)( $viewport_width - (($viewport_width*3) / 100) - $icone_size);


$header = "#CACHE{0}<style type=\"text/css\">
#zone_js_div$id {
	position: relative; 
	top: 0px;
	left: 0px; 
	overflow: hidden;
	width: ".$viewport_width."px; 
	
	height: auto !important;
height: ".$height."px;
min-height: ".$height."px;
	z-index: 0;
}
#tableau_image_js_div$id {
	position: relative; 
	top: 0px;
	left: 0px;
	z-index: 30;
}
#zone_image_js_div$id {
	position: relative; 
	top: 0px;
	left: 0px; 
	width: ".$viewport_width."px; 
	height: ".$height."px; 
	overflow: hidden;
	z-index: 30;
	visibility: hidden; 
}
#zone_aller_gauche_js_div$id {
	position: absolute;
	margin-top: ".$decaly2."px;
	padding-left: ".$decalx1."px; 
	width: ".$icone_size."px; 
	height: ".$icone_size."px; 
	z-index: 99;
}
#zone_aller_droite_js_div$id {
	position: absolute;
	margin-top: ".$decaly2."px;
	padding-left: ".$decalx2."px; 
	width: ".$icone_size."px; 
	height: ".$icone_size."px;
	z-index: 98; 
}

#zone_attente_js_div$id{
	
position: absolute;
	margin-top: ".$decaly2."px;
	margin-left: 50px; 
	z-index: 0;
	font-size: 12px;
}
</style>
<script language=\"javascript\" src=\"squelettes//x.js\" type=\"text/javascript\"></script>
<script language=\"javascript\" type=\"text/javascript\">
	var  mode_auto$id, aller_gauche$id, aller_droite$id, panorama$id, largeur_image$id, image1$id, image2$id, tableau_image_js_div$id, zone_image_js_div$id, decalage_x$id, refresh$id, arret$id;
	
 	function init$id()
	{
		image1$id =  xGetElementById(\"image1$id\");
		image2$id =  xGetElementById(\"image2$id\");
		
		tableau_image_js_div$id = xGetElementById(\"tableau_image_js_div$id\");
		zone_image_js_div$id = xGetElementById(\"zone_image_js_div$id\");
		


		xShow(zone_image_js_div$id);
  		xShow(tableau_image_js_div$id);
	
		setLargeurImage$id($width);
		setPanorama$id(1);
		mode_auto$id  = 1;
		deplace_droite_auto$id();			


	}
	function setLargeurImage$id(largeur)
	{
		largeur_image$id = largeur;

	}
	function setPanorama$id(pano)
	{
		panorama$id = pano;

	}

	function deplace_gauche$id() 
	{
			mode_auto$id =0;
			if (xLeft(tableau_image_js_div$id) >= 0)
			{
				if (panorama$id == 1)
				{
					xLeft(tableau_image_js_div$id, -largeur_image$id);
				}
			}
			else
			{
				xMoveTo(tableau_image_js_div$id, xLeft(tableau_image_js_div$id) + 1, 0);
			}
			refresh$id = setTimeout(\"deplace_gauche$id()\",5);
		
	}
	function deplace_droite$id() 
	{
		
			mode_auto$id =0;
			
			if (panorama$id == 1)
			{
				if (xLeft(tableau_image_js_div$id) <= -largeur_image$id)
				{
					
						xLeft(tableau_image_js_div$id, 5);
						
					
				}
				else
				{
					xMoveTo(tableau_image_js_div$id, xLeft(tableau_image_js_div$id) - 1, 0);
				}
			}
			else
			{
				if (xLeft(tableau_image_js_div$id) <= -largeur_image$id+$viewport_width)
				{
					
					;
						
					
				}
				else
				{
					xMoveTo(tableau_image_js_div$id, xLeft(tableau_image_js_div$id) - 1, 0);
				}

			}
			refresh$id = setTimeout(\"deplace_droite$id()\",5);
		

	}
	function deplace_gauche_auto$id() 
	{
		
		if (mode_auto$id  == 1)
		{	
			if (xLeft(tableau_image_js_div$id) >= 0)
			{
				if (panorama$id == 1)
				{
					xLeft(tableau_image_js_div$id, -largeur_image$id);
				}
			}
			else
			{
				xMoveTo(tableau_image_js_div$id, xLeft(tableau_image_js_div$id) + 1, 0);
			}

			refresh$id = setTimeout(\"deplace_gauche_auto$id()\",50);
		
		}
	}

	function deplace_droite_auto$id() 
	{
		
		if (mode_auto$id  == 1)
		{	
			if (panorama$id == 1)
			{
				if (xLeft(tableau_image_js_div$id) <= -largeur_image$id)
				{
					
						xLeft(tableau_image_js_div$id, 0);
						
					
				}
				else
				{
					xMoveTo(tableau_image_js_div$id, xLeft(tableau_image_js_div$id) - 1, 0);
				}
			}
			else
			{
				if (xLeft(tableau_image_js_div$id) <= -largeur_image$id+$viewport_width)
				{
					
					;
						
					
				}
				else
				{
					xMoveTo(tableau_image_js_div$id, xLeft(tableau_image_js_div$id) - 1, 0);
				}

			}
			refresh$id = setTimeout(\"deplace_droite_auto$id()\",50);
		
		}
	}

	function arreter$id()
	{

		clearTimeout(refresh$id);
		
	}


</script>";

$fp = fopen("squelettes//header.html","w"); 
fputs($fp,$header);           
fclose($fp); 


$body_onload = "#CACHE{0}onload=\"init$id();\"";
$fp2 = fopen("squelettes//body.html","w"); 
fputs($fp2,$body_onload);           
fclose($fp2); 


$newstr = "

<div id=\"zone_js_div$id\">


	<div id=\"zone_aller_gauche_js_div$id\" class=\"zone_aller_gauche_js_div$id\">
		<a href=\"javascript:void(0);\" onmouseover=\"setLargeurImage$id($width);setPanorama$id(1);deplace_gauche$id();\" onmouseout=\"arreter$id();\">
			<img id=\"aller_gauche$id\" name=\"aller_gauche\" src=\"squelettes//aller_gauche_15.gif\" border=\"0\" alt=\"fleche gauche\"/>

		</a>
	</div>

	<div id=\"zone_aller_droite_js_div$id\" class=\"zone_aller_droite_js_div$id\">
		<a href=\"javascript:void(0);\" onmouseover=\"setLargeurImage$id($width);setPanorama$id(1);deplace_droite$id();\" onmouseout=\"arreter$id();\">
			<img id=\"aller_droite$id\" name=\"aller_droite\" src=\"squelettes//aller_droite_15.gif\" border=\"0\" alt=\"fleche droite\"/>
		</a>
	</div>
<div id=\"zone_attente_js_div$id\" class=\"zone_attente_js_div$id\">

			Chargement en cours...
	</div>

<div id=\"zone_image_js_div$id\" class=\"zone_image_js_div$id\">
	<div id=\"tableau_image_js_div$id\" class=\"tableau_image_js_div$id\">
	<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">
	  <tr>	
		<td><img id=\"image1$id\" name=\"image1\" src=\"$photo_filename\" alt=\"image 1 du panorama\"/></td>

					<td><img id=\"image2$id\" name=\"image2\" src=\"$photo_filename\" alt=\"image 2 du panorama\"/></td>
			  </tr>
	</table>
	</div>
	
</div>

	

	
</div>";
	
$chaine = preg_replace($chaine_recherche, $newstr, $chaine);

}	



return $chaine;

}

?>